ID(1)

NAME
id - print real and effective user and group IDs

SYNOPSIS
id [OPTION]... [USER]...

DESCRIPTION

Print user and group information for each specified USER, or (when USER omitted) for the current user.

-a  ignore, for compatibility with other versions

-Z, --context
    print only the security context of the process

-g, --group
    print only the effective group ID

-G, --groups
    print all group IDs

-n, --name
    print a name instead of a number, for -ugG

-r, --real
    print the real ID instead of the effective ID, with -ugG

-u, --user
    print only the effective user ID

-z, --zero
    delimit entries with NUL characters, not whitespace;

    not permitted in default format

--help
    display this help and exit

--version
    output version information and exit

Without any OPTION, print some useful set of identified information.

AUTHOR
Written by Arnold Robbins and David MacKenzie.

REPORTING BUGS
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Report any translation bugs to <https://translationproject.org/team/>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
Full documentation <https://www.gnu.org/software/coreutils/id>
or available locally via: info '(coreutils) id invocation'